Bug 182470

Summary: Crash when browsing photos and looking at geolocation
Product: marble Reporter: Arnout Boelens <a.m.p.boelens>
Component: generalAssignee: Patrick Spendrin <ps_ml>
Status: RESOLVED FIXED    
Severity: crash CC: felix, mat.fuessel, matthew, mboquien, noeck.marburg, rahn, rharrison, rjwgnr27, sputnikshock
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: kcrash output

Description Arnout Boelens 2009-01-30 19:04:32 UTC
Version:           0.10.0-rc1 (using 4.2.00 (KDE 4.2.0), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.26-1-686

When looking at my photos with the albums tab open on he left and the geolocation tab open on the right, digikam crashes.

Application: digiKam (digikam), signal SIGSEGV
[Current thread is 0 (LWP 8191)]

Thread 13 (Thread 0xb32cdb90 (LWP 8192)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0x9e19f90, mutex=0x9e19f8c, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0x08292251 in Digikam::ScanController::run (this=0x9dd4550) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/digikam/scancontroller.cpp:412
#5  0xb574a52e in QThreadPrivate::start (arg=0x9dd4550) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 12 (Thread 0xb1f4fb90 (LWP 8198)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0xa310fa0, mutex=0xa310f9c, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0xb71869e2 in Digikam::LoadSaveThread::run (this=0xa310f90) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/libs/threadimageio/loadsavethread.cpp:129
#5  0xb574a52e in QThreadPrivate::start (arg=0xa310f90) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 11 (Thread 0xb2750b90 (LWP 8199)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0xa2c3800, mutex=0xa2c37fc, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0xb71869e2 in Digikam::LoadSaveThread::run (this=0xa2c37f0) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/libs/threadimageio/loadsavethread.cpp:129
#5  0xb574a52e in QThreadPrivate::start (arg=0xa2c37f0) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 10 (Thread 0xaf21ab90 (LWP 8200)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb51672e2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563fe4 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
#3  0xaffb490f in metronom_sync_loop (this=0xa4cb660) at metronom.c:870
#4  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 9 (Thread 0xae57db90 (LWP 8201)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb554d611 in select () from /lib/i686/cmov/libc.so.6
#2  0xaffddf6e in xine_usec_sleep (usec=1000) at utils.c:481
#3  0xaffc2150 in video_out_loop (this_gen=0xa4d2ad0) at video_out.c:1246
#4  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 8 (Thread 0xadd7cb90 (LWP 8202)):
#0  0xb4c950ac in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb586621b in QTimerInfoList::getTime (this=0xa8e0c74, t=@0xa8e0c98) at kernel/qeventdispatcher_unix.cpp:335
#2  0xb58663f1 in QTimerInfoList::updateCurrentTime (this=0xa8e0c74) at kernel/qeventdispatcher_unix.cpp:293
#3  0xb58680fc in QTimerInfoList::timerWait (this=0xa8e0c74, tm=@0xadd7c164) at kernel/qeventdispatcher_unix.cpp:416
#4  0xb58647ca in timerSourcePrepare (source=0xb4c98ff4, timeout=0xadd7c1b8) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb4da9292 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0xb4da971a in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x0a8dfe50 in ?? ()
#8  0xadd7c228 in ?? ()
#9  0x0a43fc38 in ?? ()
#10 0x00000001 in ?? ()
#11 0xb4e22a48 in ?? () from /usr/lib/libglib-2.0.so.0
#12 0xb4e22678 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0xb5167e65 in pthread_getspecific () from /lib/i686/cmov/libpthread.so.0
#14 0xa1650000 in ?? ()
#15 0x00000048 in ?? ()

Thread 7 (Thread 0xad572b90 (LWP 8205)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb554aa97 in poll () from /lib/i686/cmov/libc.so.6
#2  0xad576a05 in ao_alsa_handle_event_thread (data=0xa8e3150) at audio_alsa_out.c:150
#3  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#4  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 6 (Thread 0xacd2fb90 (LWP 8206)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xaffc591a in ao_loop (this_gen=0xa8fca88) at audio_out.c:346
#4  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 5 (Thread 0xabc1db90 (LWP 8224)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0xc4630d8, mutex=0xc4630d4, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0xb71869e2 in Digikam::LoadSaveThread::run (this=0xc4630c8) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/libs/threadimageio/loadsavethread.cpp:129
#5  0xb574a52e in QThreadPrivate::start (arg=0xc4630c8) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 4 (Thread 0xaabccb90 (LWP 8230)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0xd20fa08, mutex=0xd20fa04, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0xb71869e2 in Digikam::LoadSaveThread::run (this=0xd20f9f8) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/libs/threadimageio/loadsavethread.cpp:129
#5  0xb574a52e in QThreadPrivate::start (arg=0xd20f9f8) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 3 (Thread 0xaa3b5b90 (LWP 8258)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0xd7c2e08, mutex=0xd7c2e04, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0xb71869e2 in Digikam::LoadSaveThread::run (this=0xd7c2df8) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/libs/threadimageio/loadsavethread.cpp:129
#5  0xb574a52e in QThreadPrivate::start (arg=0xd7c2df8) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 0xa823db90 (LWP 8259)):
#0  0xb7f57424 in __kernel_vsyscall ()
#1  0xb5166fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb5563f8d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb574b542 in QWaitCondition::wait (this=0xa2fa880, mutex=0xa2fa87c, time=4294967295) at thread/qwaitcondition_unix.cpp:82
#4  0xb71869e2 in Digikam::LoadSaveThread::run (this=0xa2fa870) at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/libs/threadimageio/loadsavethread.cpp:129
#5  0xb574a52e in QThreadPrivate::start (arg=0xa2fa870) at thread/qthread_unix.cpp:185
#6  0xb51634e6 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb555516e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb48c66d0 (LWP 8191)):
[KCrash Handler]
#6  0xb56be4db in __dynamic_cast () from /usr/lib/libstdc++.so.6
#7  0xb6e03a66 in Marble::MarbleGeometryModel::data (this=0xade0ef8, index=@0xbfa72554, role=0) at ../../../../marble/src/lib/MarbleGeometryModel.cpp:161
#8  0xac4ea067 in Marble::MarbleGeoDataView::renderIndex (this=0xaadadc8, index=@0xbfa725ac) at ../../../../../../marble/src/plugins/render/geodata/MarbleGeoDataView.cpp:91
#9  0xac4ea27b in Marble::MarbleGeoDataView::paintEvent (this=0xaadadc8, event=0x0) at ../../../../../../marble/src/plugins/render/geodata/MarbleGeoDataView.cpp:77
#10 0xac4e946c in Marble::MarbleGeoDataView::setGeoPainter (this=0xaadadc8, painter=0xbfa72870) at ../../../../../../marble/src/plugins/render/geodata/MarbleGeoDataView.cpp:42
#11 0xac4e8ba4 in Marble::MarbleGeoDataPlugin::render (this=0xaa89988, painter=0xbfa72870, viewport=0x9e2bb4c, renderPos=@0xbfa726a0, layer=0x0)
    at ../../../../../../marble/src/plugins/render/geodata/MarbleGeoDataPlugin.cpp:102
#12 0xb6e19322 in Marble::LayerManager::renderLayers (this=0xaa89538, painter=0xbfa72870, viewParams=0xaa88d04) at ../../../../marble/src/lib/LayerManager.cpp:92
#13 0xb6dd8fc4 in Marble::MarbleModel::paintGlobe (this=0xaa892f0, painter=0xbfa72870, width=250, height=542, viewParams=0xaa88d04, redrawBackground=true, dirtyRect=@0xbfa72860)
    at ../../../../marble/src/lib/MarbleModel.cpp:690
#14 0xb6de2268 in Marble::MarbleMapPrivate::paintGround (this=0xaa88cf0, painter=@0xbfa72870, dirtyRect=@0xbfa72860) at ../../../../marble/src/lib/MarbleMap.cpp:293
#15 0xb6dd16d6 in Marble::MarbleWidget::paintEvent (this=0xaa88a20, evt=0xbfa72d0c) at ../../../../marble/src/lib/MarbleWidget.cpp:823
#16 0xb5d625ab in QWidget::event (this=0xaa88a20, event=0xbfa72d0c) at kernel/qwidget.cpp:7301
#17 0xb5d0a79c in QApplicationPrivate::notify_helper (this=0x9d2dc20, receiver=0xaa88a20, e=0xbfa72d0c) at kernel/qapplication.cpp:3803
#18 0xb5d126ea in QApplication::notify (this=0xbfa74c84, receiver=0xaa88a20, e=0xbfa72d0c) at kernel/qapplication.cpp:3768
#19 0xb683278d in KApplication::notify (this=0xbfa74c84, receiver=0xaa88a20, event=0xbfa72d0c) at ../../kdeui/kernel/kapplication.cpp:307
#20 0xb583a0e1 in QCoreApplication::notifyInternal (this=0xbfa74c84, receiver=0xaa88a20, event=0xbfa72d0c) at kernel/qcoreapplication.cpp:587
#21 0xb5d6b1ee in qt_sendSpontaneousEvent (receiver=0xaa88a20, event=0x0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:212
#22 0xb5d60f70 in QWidgetPrivate::drawWidget (this=0xaa88a58, pdev=0x9e104f4, rgn=@0xbfa72ebc, offset=@0xbfa72eb4, flags=<value optimized out>, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4636
#23 0xb5d6171c in QWidgetPrivate::paintSiblingsRecursive (this=0xaa888a0, pdev=0x9e104f4, siblings=@0xbfa73010, index=1, rgn=@0xbfa730ec, offset=@0xbfa730e4, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4735
#24 0xb5d60be8 in QWidgetPrivate::drawWidget (this=0xaa888a0, pdev=0x9e104f4, rgn=@0xbfa730ec, offset=@0xbfa730e4, flags=4, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4677
#25 0xb5d6171c in QWidgetPrivate::paintSiblingsRecursive (this=0xaa883e8, pdev=0x9e104f4, siblings=@0xbfa73240, index=10, rgn=@0xbfa7331c, offset=@0xbfa73314, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4735
#26 0xb5d60be8 in QWidgetPrivate::drawWidget (this=0xaa883e8, pdev=0x9e104f4, rgn=@0xbfa7331c, offset=@0xbfa73314, flags=4, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4677
#27 0xb5d6171c in QWidgetPrivate::paintSiblingsRecursive (this=0xaa1ad90, pdev=0x9e104f4, siblings=@0xbfa73470, index=7, rgn=@0xbfa7354c, offset=@0xbfa73544, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4735
#28 0xb5d60be8 in QWidgetPrivate::drawWidget (this=0xaa1ad90, pdev=0x9e104f4, rgn=@0xbfa7354c, offset=@0xbfa73544, flags=4, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4677
#29 0xb5d6171c in QWidgetPrivate::paintSiblingsRecursive (this=0xa2bc6c0, pdev=0x9e104f4, siblings=@0xbfa73760, index=4, rgn=@0xbfa7360c, offset=@0xbfa73834, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4735
#30 0xb5d61622 in QWidgetPrivate::paintSiblingsRecursive (this=0xa2bc6c0, pdev=0x9e104f4, siblings=@0xbfa73760, index=5, rgn=@0xbfa7383c, offset=@0xbfa73834, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4725
#31 0xb5d60be8 in QWidgetPrivate::drawWidget (this=0xa2bc6c0, pdev=0x9e104f4, rgn=@0xbfa7383c, offset=@0xbfa73834, flags=4, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4677
#32 0xb5d6171c in QWidgetPrivate::paintSiblingsRecursive (this=0xa095e58, pdev=0x9e104f4, siblings=@0xbfa73990, index=6, rgn=@0xbfa73a6c, offset=@0xbfa73a64, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4735
#33 0xb5d60be8 in QWidgetPrivate::drawWidget (this=0xa095e58, pdev=0x9e104f4, rgn=@0xbfa73a6c, offset=@0xbfa73a64, flags=4, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4677
#34 0xb5d6171c in QWidgetPrivate::paintSiblingsRecursive (this=0xa074cf0, pdev=0x9e104f4, siblings=@0xbfa73bc0, index=146, rgn=@0xbfa73cb4, offset=@0xa074c44, flags=4, sharedPainter=0xd5c6950)
    at kernel/qwidget.cpp:4735
#35 0xb5d60be8 in QWidgetPrivate::drawWidget (this=0xa074cf0, pdev=0x9e104f4, rgn=@0xbfa73cb4, offset=@0xa074c44, flags=4, sharedPainter=0xd5c6950) at kernel/qwidget.cpp:4677
#36 0xb5eceb1e in QWidgetBackingStore::cleanRegion (this=0xa074c38, rgn=@0xbfa73d08, widget=0x9fdef40, recursiveCopyToScreen=true) at painting/qbackingstore.cpp:1039
#37 0xb5ecf017 in qt_syncBackingStore (widget=0x9fdef40) at painting/qbackingstore.cpp:313
#38 0xb5d623d6 in QWidget::event (this=0x9fdef40, event=0xbfa74230) at kernel/qwidget.cpp:7447
#39 0xb60b2267 in QMainWindow::event (this=0x9fdef40, event=0xbfa74230) at widgets/qmainwindow.cpp:1268
#40 0xb691b7f7 in KMainWindow::event (this=0x9fdef40, ev=0xbfa74230) at ../../kdeui/widgets/kmainwindow.cpp:1093
#41 0xb6960dcc in KXmlGuiWindow::event (this=0x9fdef40, ev=0xbfa74230) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:131
#42 0xb5d0a79c in QApplicationPrivate::notify_helper (this=0x9d2dc20, receiver=0x9fdef40, e=0xbfa74230) at kernel/qapplication.cpp:3803
#43 0xb5d126ea in QApplication::notify (this=0xbfa74c84, receiver=0x9fdef40, e=0xbfa74230) at kernel/qapplication.cpp:3768
#44 0xb683278d in KApplication::notify (this=0xbfa74c84, receiver=0x9fdef40, event=0xbfa74230) at ../../kdeui/kernel/kapplication.cpp:307
#45 0xb583a0e1 in QCoreApplication::notifyInternal (this=0xbfa74c84, receiver=0x9fdef40, event=0xbfa74230) at kernel/qcoreapplication.cpp:587
#46 0xb5d93866 in QWidgetPrivate::dirtyWidget_sys (this=0xa074cf0, rgn=@0xbfa742a4, updateImmediately=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:209
#47 0xb5eccec4 in QWidgetBackingStore::dirtyRegion (this=0xa074c38, rgn=@0xbfa74344, widget=0xc32c8b8, updateImmediately=172) at painting/qbackingstore.cpp:625
#48 0xb5ecd4c9 in QWidget::repaint (this=0xc32c8b8, rgn=@0xbfa743a8) at painting/qbackingstore.cpp:1145
#49 0xb5d59fc1 in QWidget::repaint (this=0xc32c8b8, r=@0xbfa7440c) at kernel/qwidget.cpp:8976
#50 0xb74cd8c0 in Q3ListView::updateDirtyItems (this=0xc32aa28) at itemviews/q3listview.cpp:3608
#51 0xb7642f28 in Q3ListView::qt_metacall (this=0xc32aa28, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbfa74528) at .moc/release-shared/moc_q3listview.cpp:204
#52 0x0826a2df in Digikam::FolderView::qt_metacall (this=0xc32aa28, _c=QMetaObject::InvokeMetaMethod, _id=83, _a=0xbfa74528)
    at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/obj-i486-linux-gnu/digikam/folderview.moc:68
#53 0x082042ff in Digikam::AlbumFolderView::qt_metacall (this=0xc32aa28, _c=QMetaObject::InvokeMetaMethod, _id=83, _a=0xbfa74528)
    at /home/mark/src/kde-extras/build-area/digikam-0.10.0~rc1/obj-i486-linux-gnu/digikam/albumfolderview.moc:89
#54 0xb584ebe0 in QMetaObject::activate (sender=0xc32daa8, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3031
#55 0xb584f962 in QMetaObject::activate (sender=0xc32daa8, m=0xb591d0c4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3101
#56 0xb5889867 in QTimer::timeout (this=0xc32daa8) at .moc/release-shared/moc_qtimer.cpp:126
#57 0xb585558e in QTimer::timerEvent (this=0xc32daa8, e=0xbfa749bc) at kernel/qtimer.cpp:257
#58 0xb58496bf in QObject::event (this=0xc32daa8, e=0xbfa749bc) at kernel/qobject.cpp:1120
#59 0xb5d0a79c in QApplicationPrivate::notify_helper (this=0x9d2dc20, receiver=0xc32daa8, e=0xbfa749bc) at kernel/qapplication.cpp:3803
#60 0xb5d1261e in QApplication::notify (this=0xbfa74c84, receiver=0xc32daa8, e=0xbfa749bc) at kernel/qapplication.cpp:3393
#61 0xb683278d in KApplication::notify (this=0xbfa74c84, receiver=0xc32daa8, event=0xbfa749bc) at ../../kdeui/kernel/kapplication.cpp:307
#62 0xb583a0e1 in QCoreApplication::notifyInternal (this=0xbfa74c84, receiver=0xc32daa8, event=0xbfa749bc) at kernel/qcoreapplication.cpp:587
#63 0xb5868041 in QTimerInfoList::activateTimers (this=0x9d30c3c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:209
#64 0xb5864690 in timerSourceDispatch (source=0x9d30c08) at kernel/qeventdispatcher_glib.cpp:160
#65 0xb4da6398 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#66 0xb4da9a33 in ?? () from /usr/lib/libglib-2.0.so.0
#67 0x09d2f6f8 in ?? ()
#68 0x00000000 in ?? ()
Comment 1 caulier.gilles 2009-01-30 19:07:00 UTC
And another one...

Gilles
Comment 2 Médéric Boquien 2009-03-16 04:49:54 UTC
Hello. I can reproduce the crash with 4.2 branch, r939321. To reproduce follow those steps:
1) Open the marble widget with the tab on the right
2) zoom in to see the name of the pic on the map
3) ctrl-A (many geotagged pics needed in the album)
4) BOOM

Thanks.
Comment 3 Dario Andres 2009-04-28 19:52:42 UTC
*** Bug 189228 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2009-04-28 19:53:09 UTC
*** Bug 190917 has been marked as a duplicate of this bug. ***
Comment 5 Matthias Füssel 2009-04-28 20:25:35 UTC
duplicate bug 189228 has a good description of what happens at the marble side to trigger this crash (don't know if it is the only way to trigger it, though).
Comment 6 Torsten Rahn 2009-05-01 13:00:01 UTC
Reassigning to Patrick
Comment 7 Dario Andres 2009-05-23 14:59:39 UTC
*** Bug 193730 has been marked as a duplicate of this bug. ***
Comment 8 Dario Andres 2009-05-23 15:00:14 UTC
*** Bug 193229 has been marked as a duplicate of this bug. ***
Comment 9 Dario Andres 2009-05-23 15:00:42 UTC
*** Bug 189049 has been marked as a duplicate of this bug. ***
Comment 10 Dario Andres 2009-06-07 00:09:31 UTC
*** Bug 195511 has been marked as a duplicate of this bug. ***
Comment 11 Matthias Füssel 2009-08-02 14:57:10 UTC
Some more info:

Adding some placemarks using MarbleWidget::addPlacemarkData(QString kmlString, QString key) works as expected.

Removing the same placemarks using MarbleWidget::removePlacemarkKey(QString key) writes to console that the correct number of placemarks have been removed and returns. But soon afterwards marble crashes with the following stacktrace:

Thread [1] 17233 (Suspended : Signal)	
	__dynamic_cast() at 0x7ffff30aa7b8	
	Marble::GeoRendererView::renderIndex() at 0x7fffe3fa2468	
	Marble::GeoRendererView::paintEvent() at 0x7fffe3fa28b6	
	Marble::GeoRendererView::setGeoPainter() at 0x7fffe3fa1aca	
	Marble::GeoRendererPlugin::render() at 0x7fffe3fa0f28	
	Marble::LayerManager::renderLayer() at 0x7ffff648e2df	
	Marble::LayerManager::renderLayers() at 0x7ffff648e5d7	
	Marble::MarbleModel::paintGlobe() at 0x7ffff6449015	
	Marble::MarbleMapPrivate::paintGround() at 0x7ffff6450b78	
	Marble::MarbleWidget::paintEvent() at 0x7ffff6441226	
	<...more frames...>	

The crash happens while evaluating:

dynamic_cast<GeoDataFeature*>( indexObject )

This is the first dynamic_cast statement in renderview. dynamic_cast /crashes/, it doesn't return NULL.

typeid(indexObject).name() gives "PN6Marble13GeoDataObjectE" immediately before the dynamic_cast statement.

For the "index" parameter of renderIndex, index.isValid() returns false, but this seems to be also the case sometimes when renderIndex actually works.

If I comment out the renderIndex call in GeoRendererView::paintEvent, adding and removing my placemarks seems to work fine, judged by the placemark list in the sidebar. The map view behaves a  bit strange, then: removing my placemarks removes /all/ placemarks from there (possibly due to not calling renderIndex), but adding my placemarks back makes /all/ placemarks magically reappear...

Unfortunately, I'm not much of an expert for both C++ and Qt. I don't even understand how dynamic_cast for a pointer could crash at all.

Could someone with some deeper C++ knowledge please take a look? I can reproduce the crash all the time and will gladly test any patches, but I have no idea how to move on...
Comment 12 Russell Harrison 2009-08-04 07:18:54 UTC
Created attachment 35835 [details]
kcrash output
Comment 13 noeck 2010-02-13 10:45:16 UTC
Is this report for version 0.10.0 only?

I had the same problem under 0.10.0, too but it seems to be fixed in the version I'm using now. I can't reproduce it anymore.

Version 1.0.0-beta5
KDE 4.3.2 (KDE 4.3.2)
ubuntu 9.10 karmic

Perhaps this bug could be marked as fixed?
Comment 14 Arnout Boelens 2010-02-13 15:34:09 UTC
I haven't had any crashes with 1.1.0, so I think it should be marked fixed, indeed.